﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.15.0/gitea-1.15.0-gogit-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.15.0/gitea-1.15.0-gogit-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'd1df514a47ae5f5630a187c53bffb56d6d7a04de924d518972fce2b72e9a2ed9'
  checksumType  = 'sha256'
  checksum64    = '0314452517181ed782d3ae41edb6878f747c0f6267a1bf8d8215c10f3e3e2aba'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
